---
title: 'Get subscription events by subscription id'
description: 'This endpoint allows you to get events for a stratus subscription.'
openapi: GET /api/stratus/subscriptions/{id}/events
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`GET /api/stratus/subscriptions/{id}/events` — path parameters: `id`; query parameters: `search`, `cursor`, `startingAfter`, `limit`

`GET https://admin.snagsolutions.io/api/stratus/subscriptions/{id}/events`

This endpoint allows you to get events for a stratus subscription.

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Path parameters

- `id` (string, required)

## Query parameters

- `search` (string)
- `cursor` (string)
- `startingAfter` (string)
- `limit` (integer)

## Response 200

200
  - response (object)
    - `data` (array, required)
      - `items` (object)
        - `id` (string, required)
        - `triggeredAt` (string, required)
        - `functionRun` (object, required)
          - `id` (string, required)
          - `runId` (string, required)
          - `status` (string)
          - `output` (string)
        - `callback` (object, required)
          - `response` (string, required)
        - `event` (object, required)
          - `blockNumber` (string, required)
          - `txHash` (string, required)
          - `eventKey` (string, required)
          - `contractAddress` (string, required)
          - `detectedAt` (string, required)
    - `hasNextPage` (boolean, required)

## Response 500

500
  - response (object)
    - `error` (string, required)


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
